Bug 565639 - Rescue mode fails - AttributeError: can't set attribute
Summary: Rescue mode fails - AttributeError: can't set attribute
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F13Alpha, F13AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2010-02-15 19:32 UTC by James Laska
Modified: 2013-09-02 06:44 UTC (History)
4 users (show)

Fixed In Version: anaconda-13.27-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-24 18:10:52 UTC


Attachments (Terms of Use)

Description James Laska 2010-02-15 19:32:55 UTC
Description of problem:

 * Boot anaconda rescue mode and attempt to mount a previously installed default partitioned installation

Version-Release number of selected component (if applicable):
 * anaconda-13.26

How reproducible:
 * So far ... 4 out of 4 attempts 

Steps to Reproduce:
1. Boot DVD, select "Rescue mode"
2. When prompted, enable networking (the answer here doesn't change the result)
  
Actual results:

    Traceback (most recent call last):
    File "/usr/bin/anaconda", line 981, in <module>
        rescue.runRescue(anaconda)
    File "/usr/lib/anaconda/rescue.py", line 243, in runRescue
        anaconda.intf = RescueInterface(screen)
    AttributeError: can't set attribute

Expected results:

 * rescue mode detects previously installed system and mounts it

Additional info:

 * see attached screenshot

Comment 2 James Laska 2010-02-15 20:26:17 UTC
Updates image available for testing until anaconda-13.27 build is available. See http://jlaska.fedorapeople.org/updates-565639.img

Comment 3 James Laska 2010-02-24 18:10:52 UTC
Fixed in anaconda-13.29


Note You need to log in before you can comment on or make changes to this bug.